package Application1.Pages;

import java.awt.Color;
import java.awt.Font;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;

import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.border.*;

import Application1.ImagePanel;
import Application1.TextPanel;

public class Page3 extends JPanel {
	public Page3(int taillePolice, Border bordure){
		
		//Initialitsation
		JPanel cadran1 = new JPanel();
		TextPanel cadran1_1;
		ImagePanel cadran2;
		ImagePanel cadran3;
		ImagePanel cadran4;
		TextPanel Texte;
		
		JButton BoutonInstallationTrinus = new JButton("START INSTALLATION");
		Font f = new Font("Serif", Font.BOLD, 45);
		
		BoutonInstallationTrinus.setFont(f);
		BoutonInstallationTrinus.setForeground(Color.WHITE);
		BoutonInstallationTrinus.setBackground(Color.LIGHT_GRAY);
		
		GridLayout g= new GridLayout(2,2);
		GridLayout cad1 = new GridLayout(2,1);
		g.setHgap(10);
		g.setVgap(10);
		setLayout(g);
		
		
		//Cadran 1 
		
		cadran1.setLayout(cad1);
		
		cadran1_1 = new TextPanel(taillePolice);
		cadran1_1.setBorder(bordure);
		
		cadran1_1.AjouterParagraph("  \n");
		cadran1_1.AjouterParagraph("  L'installation du logiciel Trinus est ncessaire pour le bon \n");
		cadran1_1.AjouterParagraph("  fonctionnement de notre systme. \n");
		cadran1_1.AjouterParagraph("  START INSTALLATION va lancer automatiquement l'installation du logiciel. \n");
		cadran1_1.AjouterParagraph("  Vous devez accepter et suivre les tapes dcrites sur les images suivantes. \n");
		cadran1_1.AjouterParagraph("  \n");
		cadran1_1.setEditable(false);
		
		cadran1.add(cadran1_1);
		cadran1.add(BoutonInstallationTrinus);
		

		//Cadran 2
		cadran2 = new ImagePanel("Images/Install_Trinus/1.png");
		cadran2.setBorder(bordure);
		
		//Cadran3 
		cadran3 = new ImagePanel("Images/Install_Trinus/2.png");
		cadran3.setBorder(bordure);
		
		//Cadran 4
		cadran4 = new ImagePanel("Images/Install_Trinus/3.png");
		cadran4.setBorder(bordure);
		
		//Ajouter les cadrans
		add(cadran1);
		add(cadran2);
		add(cadran3);
		add(cadran4);
		
		BoutonInstallationTrinus.addActionListener(new ActionListener() {
	    	public void actionPerformed(ActionEvent event) {
	    		
				
				Runtime rt = Runtime.getRuntime();
				try {
					rt.exec(new String[] {"External_Software/TGsetup.exe"});
					
				}
				catch (IOException e) {
					e.printStackTrace();
				}		
	    	}
	    }
		);
		
	}

}
