package Application1.Pages;

import java.awt.Color;
import java.awt.Font;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;

import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.border.*;

import Application1.ImagePanel;
import Application1.TextPanel;

public class Page5 extends JPanel{
	
	public Page5(int taillePolice, Border bordure){
	//Initialitsation
	JPanel cadran1 = new JPanel();
	TextPanel cadran1_1;
	ImagePanel cadran2;
	ImagePanel cadran3;
	ImagePanel cadran4;
	
	
	JButton BoutonInstallationManette = new JButton("START INSTALLATION");
	Font f = new Font("Serif", Font.BOLD, 45);
	
	BoutonInstallationManette.setFont(f);
	BoutonInstallationManette.setForeground(Color.WHITE);
	BoutonInstallationManette.setBackground(Color.LIGHT_GRAY);
	
	GridLayout g= new GridLayout(2,2);
	GridLayout cad1 = new GridLayout(2,1);
	g.setHgap(10);
	g.setVgap(10);
	setLayout(g);
	
	//Cadran 1 
	
	cadran1.setLayout(cad1);
	cadran1.setBorder(bordure);
	
	cadran1_1 = new TextPanel(taillePolice);

	cadran1_1.setBorder(bordure);
	
	cadran1_1.AjouterParagraph("  \n");
	cadran1_1.AjouterParagraph("  Pour finir, nous devons installer la manette Wiimote. \n");
	cadran1_1.AjouterParagraph("  Pour cela nous allons l'ajouter en tant que priphrique Bluetooth. \n");
	cadran1_1.AjouterParagraph("  Cliquer sur START INSTALLATION, le panneau de configuration va apparaitre.\n");
	cadran1_1.AjouterParagraph("  Suivez les tapes d'installation avec les images suivantes. \n");
	cadran1_1.AjouterParagraph("  \n");

	cadran1_1.setEditable(false);
	
	cadran1.add(cadran1_1);
	cadran1.add(BoutonInstallationManette);
	
	
	//Cadran 2
	cadran2 = new ImagePanel("Images/Install_Wiimote/1.png");
	cadran2.setBorder(bordure);
	
	
	//Cadran 3 
	cadran3 = new ImagePanel("Images/Install_Wiimote/3.png");
	cadran3.setBorder(bordure);
	
	
	//Cadran 4 
	cadran4 = new ImagePanel("Images/Install_Wiimote/4.png");
	cadran4.setBorder(bordure);
	
	
	//Ajout des cadrans
	add(cadran1);
	add(cadran2);
	add(cadran3);
	add(cadran4);
	
	
	//BoutonInstallationManette.addActionListener(new ActionListener() {});

	
	BoutonInstallationManette.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent event) {
    		//Lancement du panneau de configuration
			
			Runtime rt = Runtime.getRuntime();
			try {
				rt.exec(new String[] {"cmd.exe","/c","start","control"});
				
			}
			catch (IOException e) {
				e.printStackTrace();
			}		
    	}
    }
	);
	

}
}
