package Application1.Pages;

import java.awt.Color;
import java.awt.Font;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.border.*;

import Application1.PathVar;
import Application1.TextPanel;


public class Page6 extends JPanel {
	
	public Page6(int taillePolice, Border bordure) {
		//Installation
		TextPanel cadran1;
		TextPanel cadran2;
		TextPanel cadran5;
		JPanel cadran3;
		JPanel cadran4;
		JPanel cadran6;
		JButton BoutonVarEnvTrinus;
		JButton BoutonVarEnvRevit;
		JButton BoutonVarEnvWIP;
		Font f = new Font("Serif", Font.BOLD, 15);
		BoutonVarEnvTrinus = new JButton("  Indiquer o se trouve le logiciel Trinus");
		BoutonVarEnvRevit = new JButton("  Indiquer o se trouve le logiciel de CAD");
		BoutonVarEnvWIP = new JButton("  Indiquer o se trouve le logiciel Rhino WIP");
		BoutonVarEnvRevit.setFont(f);
		BoutonVarEnvRevit.setForeground(Color.BLACK);
		BoutonVarEnvRevit.setBackground(Color.LIGHT_GRAY);
		BoutonVarEnvTrinus.setFont(f);
		BoutonVarEnvTrinus.setForeground(Color.BLACK);
		BoutonVarEnvTrinus.setBackground(Color.LIGHT_GRAY);
		BoutonVarEnvWIP.setFont(f);
		BoutonVarEnvWIP.setForeground(Color.BLACK);
		BoutonVarEnvWIP.setBackground(Color.LIGHT_GRAY);
		
		GridLayout grid = new GridLayout(2,2);
		grid.setHgap(10);
		grid.setVgap(10);
		setLayout(grid);
		
		
		//Cadran 1
		cadran1 = new TextPanel(taillePolice);
		cadran1.AjouterParagraph("  Veuillez indiquer ou vous avez install le logiciel Trinus. \n");
		cadran1.AjouterParagraph("  Vous pouvez selectionner directement le fichier de lancement prsent sur votre bureau.\n");
		cadran1.AjouterParagraph("  Ou alors donner le chemin du logiciel dans la racine. Typiquement le logiciel s'installe dans le dossier \"Program Files\"");
		cadran1.setEditable(false);
		cadran1.setBorder(bordure);
		// Cadran 2
		cadran2 = new TextPanel(taillePolice);
		cadran2.AjouterParagraph("  Veuillez indiquer ou vous avez install le logiciel de CAD. \n  De prferance Revit, puisque notre systme est optimis pour l'utilisation de Revit.\n ");
		cadran2.AjouterParagraph("  Vous pouvez selectionner directement le fichier de lancement prsent sur votre bureau.\n");
		cadran2.AjouterParagraph("  Ou alors donner le chemin du logiciel dans la racine. Typiquement le logiciel s'installe dans le dossier \"Program Files\"");
		cadran2.setEditable(false);
		cadran2.setBorder(bordure);
		
		//Cadran 3 
		cadran3 = new JPanel();
		
		cadran3.add(BoutonVarEnvTrinus);
		
		//Cadran 4 
		cadran4 = new JPanel();
		
		cadran4.add(BoutonVarEnvRevit);
		
		
		
		
		
		//Ajout des cadran
		add(cadran1);
		add(cadran2);
		add(cadran3);
		add(cadran4);
		
		PathVar pathVar = new PathVar();
		BoutonVarEnvTrinus.addActionListener(new ActionListener() {
	    	public void actionPerformed(ActionEvent event) {
	    		pathVar.getPath("Trinus");
	    			
	    	}
	    }
		);
		
		BoutonVarEnvRevit.addActionListener(new ActionListener() {
	    	public void actionPerformed(ActionEvent event) {
	    		pathVar.getPath("Revit");
	    			
	    	}
	    });
	
		
	}

}
